Class | Fog::DNS::DNSimple::Real
In: | lib/fog/dnsimple/requests/dns/list_records.rb lib/fog/dnsimple/requests/dns/create_record.rb lib/fog/dnsimple/requests/dns/create_domain.rb lib/fog/dnsimple/requests/dns/list_domains.rb lib/fog/dnsimple/requests/dns/update_record.rb lib/fog/dnsimple/requests/dns/get_domain.rb lib/fog/dnsimple/requests/dns/get_record.rb lib/fog/dnsimple/requests/dns/delete_domain.rb lib/fog/dnsimple/requests/dns/delete_record.rb lib/fog/dnsimple/dns.rb
Parent: | Object

### Methods

create_domain create_record delete_domain delete_record get_domain get_record list_domains list_records new reload request update_record

### Public Class methods

new(options={})

### Public Instance methods

create_domain(name)

Create a single domain in DNSimple in your account.

#### Parameters

- name<~String> - domain name to host (ie example.com)

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘name’<~String>

create_record(domain, name, type, content, options = {})

Create a new host in the specified zone

#### Parameters

- domain<~String>
- name<~String>
- type<~String>
- content<~String>
- options<~Hash> - optional
  - priority<~Integer>
  - ttl<~Integer>

#### Returns

- response<~Excon::Response>:
  - body<~Hash>
    - name<~String>
    - ttl<~Integer>
    - created_at<~String>
    - special_type<~String>
    - updated_at<~String>
    - domain_id<~Integer>
    - id<~Integer>
    - content<~String>
    - record_type<~String>
    - prio<~Integer>

delete_domain(name)

Delete the given domain from your account. You may use either the domain ID or the domain name.

Please note that for domains which are registered with DNSimple this will not delete the domain from the registry.

#### Parameters

- name<~String> - domain name or numeric ID

delete_record(domain, record_id)

Delete the record with the given ID for the given domain.

#### Parameters

- domain<~String>
- record_id<~String>

get_domain(id)

Get the details for a specific domain in your account. You may pass either the domain numeric ID or the domain name itself.

#### Parameters

- id<~String> - domain name or numeric ID

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘domain’<~Hash>
      - ‘name’<~String>
      - ‘expires_at’<~String>
      - ‘created_at’<~String>
      - ‘registration_status’<~String>
      - ‘updated_at’<~String>
      - ‘registrant_id’<~Integer>
      - ‘id’<~Integer>
      - ‘user_id’<~Integer>
      - ‘name_server_status’<~String>

get_record(domain, record_id)

Gets record from given domain.

#### Parameters

- domain<~String>
- record_id<~String>

#### Returns

- response<~Excon::Response>:
  - record<~Hash>
    - name<~String>
    - ttl<~Integer>
    - created_at<~String>
    - special_type<~String>
    - updated_at<~String>
    - domain_id<~Integer>
    - id<~Integer>
    - content<~String>
    - record_type<~String>
    - prio<~Integer>

list_domains()

Get the details for a specific domain in your account. You may pass either the domain numeric ID or the domain name itself.

#### Parameters

- id<~String> - domain name or numeric ID

#### Returns

- response<~Excon::Response>:
  - body<~Hash>:
    - ‘domains’<~Array>
      - ‘name’<~String>
      - ‘expires_at’<~String>
      - ‘created_at’<~String>
      - ‘registration_status’<~String>
      - ‘updated_at’<~String>
      - ‘registrant_id’<~Integer>
      - ‘id’<~Integer>
      - ‘user_id’<~Integer>
      - ‘name_server_status’<~String>

list_records(domain)

Get the list of records for the specific domain.

#### Parameters

- domain<~String>

#### Returns

- response<~Excon::Response>:
  - records<Array~>
    - name<~String>
    - ttl<~Integer>
    - created_at<~String>
    - special_type<~String>
    - updated_at<~String>
    - domain_id<~Integer>
    - id<~Integer>
    - content<~String>
    - record_type<~String>
    - prio<~Integer>

reload()
request(params)
update_record(domain, record_id, options)

Update the given record for the given domain.

#### Parameters

- domain<~String>
- record_id<~String>
- options<~Hash> - optional
  - type<~String>
  - content<~String>
  - priority<~Integer>
  - ttl<~Integer>

#### Returns

- response<~Excon::Response>:
  - record<~Hash>
    - name<~String>
    - ttl<~Integer>
    - created_at<~String>
    - special_type<~String>
    - updated_at<~String>
    - domain_id<~Integer>
    - id<~Integer>
    - content<~String>
    - record_type<~String>
    - prio<~Integer>

[Validate]